## org.eclipse.emf.validation.xml
Class ConstraintParserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.emf.validation.xml.ConstraintParserException

All Implemented Interfaces:
  Serializable

    public class ConstraintParserException

extends Exception

A checked exception indicating failure to parse a constraint.

This class is not intended to be used by implementors of the `IXmlConstraintParser` interface.

See Also:
  Serialized Form

Constructor Summary
`ConstraintParserException(String message)` Initializes me with a user-friendly message but no cause.
`ConstraintParserException(String message, Throwable cause)` Initializes me with a user-friendly message and a root cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstraintParserException

    public ConstraintParserException(String message)

  Initializes me with a user-friendly message but no cause.

  Parameters:
    `message` - the user-friendly message

### ConstraintParserException

    public ConstraintParserException(String message,
                                     Throwable cause)

  Initializes me with a user-friendly message and a root cause.

  Parameters:
    `message` - the user-friendly message
    `cause` - the original exception which caused parsing to fail

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.